/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
import org.eclipse.swt.widgets.Display;
import org.jdesktop.animation.timing.TimingTargetAdapter;

import com.haundrix.animation.SwtAnimator;

public class SwtTimingSourceDemo1 {

    public static void main(String[] args) {
        final Display display = new Display();
        SwtAnimator animator = new SwtAnimator(display, 1000, new TimingTargetAdapter() {
            
            private long startTime;
            
            @Override
            public void begin() {
                startTime = System.nanoTime();
            }

            @Override
            public void timingEvent(float fraction) {
                long interval = (System.nanoTime() - startTime) / 1000000;
                System.out.println("Current interval: " + interval);
            }
            
        });
        animator.setResolution(10);
        animator.start();
        
        while(animator.isRunning()) {
            if(!display.readAndDispatch()) {
                display.sleep();
            }
        }
        display.dispose();
    }
    
}
