/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
 */
package com.haundrix.tests;

import org.testng.Assert;
import org.testng.annotations.Test;

public class HaundrixAssertTest {

    @Test
    public void testAreEqualIgnoringOrder() {
        HaundrixAssert.areEqualIgnoringOrder(null, null);

        try {
            HaundrixAssert.areEqualIgnoringOrder(null, new Integer[] {0, 1, 2});
            Assert.fail("Didn't catch null actual array.");
        } catch(AssertionError error) {
        }
        
        try {
            HaundrixAssert.areEqualIgnoringOrder(new Integer[] {0, 1, 2}, null);
            Assert.fail("Didn't catch null expected array.");
        } catch(AssertionError error) {
        }

        try {
            HaundrixAssert.areEqualIgnoringOrder(new Integer[] {0, 1}, new Integer[] {0, 1, 2});
            Assert.fail("Didn't catch different array lengths.");
        } catch(AssertionError error) {
        }
        
        try {
            HaundrixAssert.areEqualIgnoringOrder(new Integer[] {0, 1, 1}, new Integer[] {0, 1, 2});
            Assert.fail("Didn't catch expected element not found.");
        } catch(AssertionError error) {
        }
        
        try {
            HaundrixAssert.areEqualIgnoringOrder(new Integer[] {0, 1, 2}, new Integer[] {0, 1, 1});
            Assert.fail("Didn't catch unexpected element found.");
        } catch(AssertionError error) {
        }

        try {
            HaundrixAssert.areEqualIgnoringOrder(new Integer[] {0, 1, 1, 3, 2}, new Integer[] {3, 1, 2, 0, 3});
            Assert.fail("Didn't catch different element count.");
        } catch(AssertionError error) {
        }

        HaundrixAssert.areEqualIgnoringOrder(new Integer[] {0, 1, 1, 3, 2}, new Integer[] {3, 1, 2, 0, 1});
    }

}
