/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.tests;

import java.io.File;
import java.io.IOException;

import org.apache.commons.io.FileUtils;
import org.testng.annotations.BeforeSuite;

public class TestUtils {

    private static final File BASE_DATA_DIR = new File("test/data");
    private static final File BASE_TEMP_DIR = new File("temp");
    
    @BeforeSuite
    public void setUpTests() throws IOException {
        if(BASE_TEMP_DIR.isDirectory()) {
            FileUtils.cleanDirectory(BASE_TEMP_DIR);
        } else {
            BASE_TEMP_DIR.mkdir();
        }
    }
    
    public static File getDataDir(Class<?> testClass) {
        return new File(BASE_DATA_DIR, testClass.getSimpleName());
    }
    
    public static File getTempDir(Class<?> testClass) {
        File tempDir = new File(BASE_TEMP_DIR, testClass.getSimpleName());
        if(!tempDir.isDirectory()) {
            tempDir.mkdir();
        }
        
        return tempDir;
    }
    
}
