/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.animation;

import com.haundrix.utils.IDisposable;

public class CompositeFadeCallback extends FadeCallback {

    private FadeCallback fadeCallback1;
    private FadeCallback fadeCallback2;
    
    // The contract is that callback1 is called before callback2.
    public CompositeFadeCallback(FadeCallback fadeCallback1, FadeCallback fadeCallback2) {
        this.fadeCallback1 = fadeCallback1;
        this.fadeCallback2 = fadeCallback2;
    }

    @Override
    public void started() {
        fadeCallback1.started();
        fadeCallback2.started();
    }

    @Override
    public void fadableDisposed(IDisposable disposable) {
        fadeCallback1.fadableDisposed(disposable);
        fadeCallback2.fadableDisposed(disposable);
    }

    @Override
    public void ended() {
        fadeCallback1.ended();
        fadeCallback2.ended();
    }

}
