/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.chess.pgn;

class PgnConstants {

    public static final String UNKNOWN_TAG_VALUE = "?";
    
    // seven tag roaster tags
    public static final String EVENT_TAG_NAME = "Event";
    public static final String SITE_TAG_NAME = "Site";
    public static final String DATE_TAG_NAME = "Date";
    public static final String ROUND_TAG_NAME = "Round";
    public static final String WHITE_PLAYER_TAG_NAME = "White";
    public static final String BLACK_PLAYER_TAG_NAME = "Black";
    public static final String RESULT_TAG_NAME = "Result";
    
    // additional tags from the PGN specification
    public static final String WHITE_TITLE_TAG_NAME = "WhiteTitle";
    public static final String BLACK_TITLE_TAG_NAME = "BlackTitle";
    public static final String WHITE_ELO_RATING_TAG_NAME = "WhiteElo";
    public static final String BLACK_ELO_RATING_TAG_NAME = "BlackElo";
    public static final String WHITE_USCF_RATING_TAG_NAME = "WhiteUSCF";
    public static final String BLACK_USCF_RATING_TAG_NAME = "BlackUSCF";
    public static final String WHITE_NETWORK_ADDRESS_TAG_NAME = "WhiteNA";
    public static final String BLACK_NETWORK_ADDRESS_TAG_NAME = "BlackNA";
    public static final String WHITE_PLAYER_TYPE_TAG_NAME = "WhiteType";
    public static final String BLACK_PLAYER_TYPE_TAG_NAME = "BlackType";
    public static final String EVENT_DATE_TAG_NAME = "EventDate";
    public static final String EVENT_SPONSOR_TAG_NAME = "EventSponsor";
    public static final String SECTION_TAG_NAME = "Section";
    public static final String STAGE_TAG_NAME = "Stage";
    public static final String BOARD_TAG_NAME = "Board";
    public static final String OPENING_TAG_NAME = "Opening";
    public static final String VARIATION_TAG_NAME = "Variation";
    public static final String SUB_VARIATION_TAG_NAME = "SubVariation";
    public static final String ECO_CODE_TAG_NAME = "ECO";
    public static final String NIC_CODE_TAG_NAME = "NIC";
    public static final String TIME_TAG_NAME = "Time";
    public static final String UTC_TIME_TAG_NAME = "UTCTime";
    public static final String UTC_DATE_TAG_NAME = "UTCDate";
    public static final String TIME_CONTROL_TAG_NAME = "TimeControl";
    public static final String IS_SETUP_POSITION_TAG_NAME = "SetUp";
    public static final String SETUP_POSITION_TAG_NAME = "FEN";
    public static final String TERMINATION_REASON_TAG_NAME = "Termination";
    public static final String ANNOTATOR_TAG_NAME = "Annotator";
    public static final String PLAYING_MODE_TAG_NAME = "Mode";
    public static final String PLY_COUNT_TAG_NAME = "PlyCount";
    
    // Special values:
    
    public static final String FIDE_FM_TITLE_TAG_VALUE = "FM";
    public static final String FIDE_IM_TITLE_TAG_VALUE = "IM";
    public static final String FIDE_GM_TITLE_TAG_VALUE = "GM";
    
    public static final String HUMAN_PLAYER_TYPE_TAG_VALUE = "human";
    public static final String PROGRAM_PLAYER_TYPE_TAG_VALUE = "program";
    
    public static final String ABANDONED_TERMINATION_REASON_TAG_VALUE = "abandoned";
    public static final String ADJUDICATION_TERMINATION_REASON_TAG_VALUE = "adjudication";
    public static final String DEATH_TERMINATION_REASON_TAG_VALUE = "death";
    public static final String EMERGENCY_TERMINATION_REASON_TAG_VALUE = "emergency";
    public static final String NORMAL_TERMINATION_REASON_TAG_VALUE = "normal";
    public static final String RULES_INFRACTION_TERMINATION_REASON_TAG_VALUE = "rules infraction";
    public static final String TIME_FORFEIT_TERMINATION_REASON_TAG_VALUE = "time forfeit";
    public static final String UNTERMINATED_TERMINATION_REASON_TAG_VALUE = "unterminated";
    
    public static final String OVER_THE_BOARD_PLAYING_MODE_TAG_VALUE = "OTB";
    public static final String PAPER_MAIL_PLAYING_MODE_TAG_VALUE = "PM";
    public static final String ELECTRONIC_MAIL_PLAYING_MODE_TAG_VALUE = "EM";
    public static final String INTERNET_CHESS_SERVER_PLAYING_MODE_TAG_VALUE = "ICS";
    public static final String GENERAL_TELECOMMUNICATION_PLAYING_MODE_TAG_VALUE = "TC";

}
