/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.controller;

import com.haundrix.graphics.Highlight;

public class HighlightScheme {

    private Highlight squareWeakHighlight;
    private Highlight squareStrongHighlight;
    private Highlight movingPieceWeakHighlight;
    private Highlight movingPieceStrongHighlight;
    private Highlight capturingPieceWeakHighlight;
    private Highlight capturingPieceStrongHighlight;
    
    public HighlightScheme(Highlight squareWeakHighlight, Highlight squareStrongHighlight,
        Highlight movingPieceWeakHighlight, Highlight movingPieceStrongHighlight,
        Highlight capturingPieceWeakHighlight, Highlight capturingPieceStrongHighlight) {
        this.squareWeakHighlight = squareWeakHighlight;
        this.squareStrongHighlight = squareStrongHighlight;
        this.movingPieceWeakHighlight = movingPieceWeakHighlight;
        this.movingPieceStrongHighlight = movingPieceStrongHighlight;
        this.capturingPieceWeakHighlight = capturingPieceWeakHighlight;
        this.capturingPieceStrongHighlight = capturingPieceStrongHighlight;
    }

    public Highlight getSquareWeakHighlight() {
        return squareWeakHighlight;
    }

    public Highlight getSquareStrongHighlight() {
        return squareStrongHighlight;
    }

    public Highlight getMovingPieceWeakHighlight() {
        return movingPieceWeakHighlight;
    }

    public Highlight getMovingPieceStrongHighlight() {
        return movingPieceStrongHighlight;
    }

    public Highlight getCapturingPieceWeakHighlight() {
        return capturingPieceWeakHighlight;
    }

    public Highlight getCapturingPieceStrongHighlight() {
        return capturingPieceStrongHighlight;
    }

}
