/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.model;


/*
 * A position changed event is triggered whenever the game position changes,
 * whereas a moved event is triggered whenever a new move is added to the game's
 * move list.
 * Both events are totally independent of each other.
 * As a special case, if the game is at the end position when a new move is input
 * then it will automatically change to the new position, causing a position changed
 * event to be triggered right after the moved event.
 */
public interface IGameListener {

    void infoChanged(GameInfo info);
    void beforePositionChange(Game game);
    void afterPositionChange(Game game);
    void moved(Game game);
    void ended(GameResult result);
    
}
