/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.model;

// Instances of this class are immutable objects.
public class Square {
    
    private int row;
    private int column;
    
    public Square(int row, int column) {
        this.row = row;
        this.column = column;
    }

    public int getRow() {
        return row;
    }

    public int getColumn() {
        return column;
    }
    
    @Override
    public boolean equals(Object object) {
        if((object == null) || !(object instanceof Square)) {
            return false;
        }
        
        Square square = (Square) object;
        return (square.getRow() == row) && (square.getColumn() == column);
    }

    @Override
    public int hashCode() {
        return row + 31 * column;
    }

    @Override
    public String toString() {
        return "(" + row + ", " + column + ")";
    }

}
