/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp;

import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;

public class ApplicationActionBarAdvisor extends ActionBarAdvisor {

    public ApplicationActionBarAdvisor(IActionBarConfigurer configurer) {
        super(configurer);
    }

    @Override
    protected void makeActions(IWorkbenchWindow window) {
        // Registers the legacy action factory actions that do not yet have
        // default handlers in the new command framework.
        // Once the Eclipse team completes the migration this should be unnecessary.
        // See this bug:
        // https://bugs.eclipse.org/bugs/show_bug.cgi?id=270007
        
        IWorkbenchAction saveAction = ActionFactory.SAVE.create(window);
        register(saveAction);
        
        IWorkbenchAction saveAsAction = ActionFactory.SAVE_AS.create(window);
        register(saveAsAction);
        
        IWorkbenchAction saveAllAction = ActionFactory.SAVE_ALL.create(window);
        register(saveAllAction);
    }

}
