/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.resource.JFaceResources;
import org.eclipse.jface.resource.LocalResourceManager;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.PlatformUI;

public enum HaundrixSharedImages {
    
    OWL_ENABLED("other/owlEnabled.png"),
    OWL_DISABLED("other/owlDisabled.png");
    
    private static final String BASE_DIR = "rsc/";

    private static final LocalResourceManager RESOURCE_MANAGER;
    static {
        Display display = PlatformUI.getWorkbench().getDisplay();
        RESOURCE_MANAGER = new LocalResourceManager(JFaceResources.getResources(display));
    }
    
    private ImageDescriptor imageDescriptor;
    
    private HaundrixSharedImages(String location) {
        imageDescriptor = HaundrixPlugin.getImageDescriptor(BASE_DIR + location);
    }
    
    public Image createImage() {
        return RESOURCE_MANAGER.createImage(imageDescriptor); 
    }
    
    public void destroyImage() {
        RESOURCE_MANAGER.destroyImage(imageDescriptor);
    }
    
}
