/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

import com.haundrix.games.rcp.views.EngineView;
import com.haundrix.games.rcp.views.GameHistoryView;
import com.haundrix.games.rcp.views.TimeView;

public class Perspective implements IPerspectiveFactory {

    public void createInitialLayout(IPageLayout layout) {
        String editorArea = layout.getEditorArea();

        layout.addView(GameHistoryView.ID, IPageLayout.RIGHT, 0.733F, editorArea);
        layout.addView(EngineView.ID, IPageLayout.BOTTOM, 0.8F, editorArea);
        layout.addView(TimeView.ID, IPageLayout.LEFT, 0.35F, editorArea);
    }

}
