/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp.editors;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IPersistableElement;

import com.haundrix.games.model.playing.IClock;

public class LocalChessGameEditorInput implements IEditorInput {

    private String name;

    private IPlayerConfig whitePlayerConfig;
    private IPlayerConfig blackPlayerConfig;
    
    private IClock clock;
    
    public LocalChessGameEditorInput(String name, IPlayerConfig whitePlayerConfig, IPlayerConfig blackPlayerConfig,
            IClock clock) {
        this.name = name;
        
        this.whitePlayerConfig = whitePlayerConfig;
        this.blackPlayerConfig = blackPlayerConfig;
        
        this.clock = clock;
    }
    
    @Override
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public IPlayerConfig getWhitePlayerConfig() {
        return whitePlayerConfig;
    }

    public IPlayerConfig getBlackPlayerConfig() {
        return blackPlayerConfig;
    }

    public IClock getClock() {
        return clock;
    }

    @Override
    public boolean exists() {
        return false;
    }

    @Override
    public ImageDescriptor getImageDescriptor() {
        return ImageDescriptor.getMissingImageDescriptor();
    }

    @Override
    public IPersistableElement getPersistable() {
        return null;
    }

    @Override
    public String getToolTipText() {
        return getName();
    }

    @SuppressWarnings("unchecked")
    @Override
    public Object getAdapter(Class adapter) {
        return null;
    }

}
