/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp.editors;

import org.eclipse.swt.widgets.FileDialog;
import org.eclipse.swt.widgets.Shell;

public final class OpenChessGameDialog extends FileDialog {

    private static final String[] EXTENSIONS = {"*.*", "*.pgn"};
    private static final String[] EXTENSION_NAMES = {"All Files", "Portable Game Notation Files"};  // TODO externalize this
    private static final int SELECTED_EXTENSION_INDEX = 1;

    public OpenChessGameDialog(Shell parent, int style) {
        super(parent, style);
        setFilterExtensions(EXTENSIONS);
        setFilterNames(EXTENSION_NAMES);
        setFilterIndex(SELECTED_EXTENSION_INDEX);
    }

    @Override
    protected void checkSubclass() {
    }

    public String getFileNameWithExtension(String pathName) {
        if(getFilterIndex() == 0) {
            return pathName;
        }
        
        String extension = EXTENSIONS[getFilterIndex()].substring(1);
        if(!pathName.endsWith(extension)) {
            pathName += extension;
        }
        
        return pathName;
    }
    
}
