/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp.editors;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.handlers.HandlerUtil;

import com.haundrix.games.rcp.HaundrixLog;
import com.haundrix.rcp.FileEditorInput;

public class OpenChessGameHandler extends AbstractHandler implements IHandler {

    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
        Shell shell = HandlerUtil.getActiveShell(event);
        OpenChessGameDialog fileDialog = new OpenChessGameDialog(shell, SWT.OPEN);
        fileDialog.setText("Open");  // TODO externalize this
        String pathName = fileDialog.open();
        
        if(pathName != null) {
            FileEditorInput editorInput = new FileEditorInput(pathName);
            IWorkbenchPage page = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage();
            try {
                page.openEditor(editorInput, RecordedChessGameEditor.ID, true);
            } catch(PartInitException exception) {
                HaundrixLog.logError("Error opening file: " + pathName + ".", exception);
            }
        }
        
        return null;
    }

}
