/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp.managers;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;

import com.haundrix.games.model.playing.EngineConfig;

public class EngineOptionsGuiConfigurer implements IEngineOptionsGuiConfigurer {

    protected Button ponderButton;

    @Override
    public void createWidgets(Composite parent) {
        parent.setLayout(new RowLayout(SWT.VERTICAL));

        ponderButton = new Button(parent, SWT.CHECK);
        ponderButton.setText("Ponder");  // TODO externalize this
        ponderButton.setSelection(true);
        ponderButton.setToolTipText("Let the computer think on opponent's time.");  // TODO externalize this
    }

    @Override
    public EngineConfig getConfig() {
        return new EngineConfig(ponderButton.getSelection());
    }

}
