/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp.managers;

import org.eclipse.swt.graphics.RGB;

import com.haundrix.games.view.ColorScheme;
import com.haundrix.utils.INamed;

public class PluginColorScheme extends ColorScheme implements INamed {

    private String id;
    private String name;
    
    PluginColorScheme(String id, String name, RGB lightSquareColor, RGB darkSquareColor, RGB borderColor,
            RGB topBackgroundColor, RGB bottomBackgroundColor) {
        super(lightSquareColor, darkSquareColor, borderColor, topBackgroundColor, bottomBackgroundColor);
        this.id = id;
        this.name = name;
    }

    public String getId() {
        return id;
    }

    @Override
    public String getName() {
        return name;
    }
    
}
