/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp.managers;

import java.util.Map;

import org.eclipse.jface.resource.ImageDescriptor;

import com.haundrix.games.chess.view.ChessPieceType;
import com.haundrix.games.view.IPieceImageDescriptor;
import com.haundrix.games.view.PieceSet;
import com.haundrix.utils.INamed;

public class PluginPieceSet extends PieceSet<ChessPieceType> implements INamed {

    private String id;
    private String name;
    private PieceSetCategory category;
    
    private String preferredColorSchemeId;
    private String preferredHighlightSchemeId;
    
    private ImageDescriptor enabledMascotImage;
    private ImageDescriptor disabledMascotImage;
    
    PluginPieceSet(String id, String name, PieceSetCategory category,
            Map<ChessPieceType, IPieceImageDescriptor> pieceImages, String preferredColorSchemeId,
            String preferredHighlightSchemeId, ImageDescriptor enabledMascotImage, ImageDescriptor disabledMascotImage) {
        super(pieceImages);
        
        this.id = id;
        this.name = name;
        this.category = category;
        
        this.preferredColorSchemeId = preferredColorSchemeId;
        this.preferredHighlightSchemeId = preferredHighlightSchemeId;
        
        this.enabledMascotImage = enabledMascotImage;
        this.disabledMascotImage = disabledMascotImage;
    }

    public String getId() {
        return id;
    }

    @Override
    public String getName() {
        return name;
    }

    public PieceSetCategory getCategory() {
        return category;
    }

    public String getPreferredColorSchemeId() {
        return preferredColorSchemeId;
    }

    public String getPreferredHighlightSchemeId() {
        return preferredHighlightSchemeId;
    }

    public ImageDescriptor getEnabledMascotImage() {
        return enabledMascotImage;
    }

    public ImageDescriptor getDisabledMascotImage() {
        return disabledMascotImage;
    }

}
