/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.view;

import org.eclipse.swt.graphics.RGB;

public class ColorScheme {

    private RGB lightSquareColor;
    private RGB darkSquareColor;
    private RGB borderColor;
    private RGB topBackgroundColor;
    private RGB bottomBackgroundColor;
    
    public ColorScheme(RGB lightSquareColor, RGB darkSquareColor, RGB borderColor, RGB topBackgroundColor,
            RGB bottomBackgroundColor) {
        this.lightSquareColor = lightSquareColor;
        this.darkSquareColor = darkSquareColor;
        this.borderColor = borderColor;
        this.topBackgroundColor = topBackgroundColor;
        this.bottomBackgroundColor = bottomBackgroundColor;
    }

    public RGB getLightSquareColor() {
        return lightSquareColor;
    }

    public RGB getDarkSquareColor() {
        return darkSquareColor;
    }

    public RGB getBorderColor() {
        return borderColor;
    }

    public RGB getTopBackgroundColor() {
        return topBackgroundColor;
    }

    public RGB getBottomBackgroundColor() {
        return bottomBackgroundColor;
    }

}
