/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.view;

import org.eclipse.swt.graphics.Point;

public class FlipBoardTransform implements IBoardTransform {

    private Point topLeft;
    private Point bottomRight;
    private int squareSize;
    
    public FlipBoardTransform(Point topLeft, Point bottomRight, int squareSize) {
        this.topLeft = topLeft;
        this.bottomRight = bottomRight;
        this.squareSize = squareSize;
    }

    @Override
    public Point transform(Point originalPoint) {
        int x = bottomRight.x - (originalPoint.x - topLeft.x) - squareSize;
        int y = bottomRight.y - (originalPoint.y - topLeft.y) - squareSize;
        return new Point(x, y);
    }

}
