/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.view;

import org.jdesktop.animation.timing.interpolation.Interpolator;

import com.haundrix.animation.FadeCallback;
import com.haundrix.animation.MoveCallback;

public interface IDraggingPieceHandler {

    void moveToTargetSquare(int duration);
    void moveToTargetSquare(int duration, Interpolator interpolator);
    void moveToTargetSquare(int duration, Runnable endMoveCallback);
    void moveToTargetSquare(int duration, MoveCallback moveCallback);
    void moveToTargetSquare(int duration, Interpolator interpolator, MoveCallback moveCallback);
    
    void moveBackToOriginalSquare(int duration);
    void moveBackToOriginalSquare(int duration, Interpolator interpolator);
    void moveBackToOriginalSquare(int duration, Runnable endMoveCallback);
    void moveBackToOriginalSquare(int duration, MoveCallback moveCallback);
    void moveBackToOriginalSquare(int duration, Interpolator interpolator, MoveCallback moveCallback);
    
    void moveTo(BoardSquare square, int duration);
    void moveTo(BoardSquare square, int duration, Interpolator interpolator);
    void moveTo(BoardSquare square, int duration, Runnable endMoveCallback);
    void moveTo(BoardSquare square, int duration, MoveCallback moveCallback);
    void moveTo(BoardSquare square, int duration, Interpolator interpolator, MoveCallback moveCallback);
    
    void fadeOut(int duration);
    void fadeOut(int duration, Runnable endFadeCallback);
    void fadeOut(int duration, FadeCallback fadeCallback);
    
}
