/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.rcp;

import java.awt.Desktop;
import java.awt.Desktop.Action;
import java.net.URI;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.handlers.HandlerUtil;

import com.haundrix.games.rcp.HaundrixLog;

public class VisitWebsiteHandler extends AbstractHandler implements IHandler {
    
    private static final String WEBSITE_PARAMETER = "website";

    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
        try {
            if(Desktop.isDesktopSupported() && Desktop.getDesktop().isSupported(Action.BROWSE)) {
                String website = event.getParameter(WEBSITE_PARAMETER);
                Desktop.getDesktop().browse(new URI(website));
            } else {
                MessageDialog.openInformation(HandlerUtil.getActiveShell(event), "Unsupported operation",
                        "Sorry, this operation is not supported in your platform.");  // TODO externalize this
            }
        } catch(Exception e) {
            HaundrixLog.logError("Error opening user browser.", e);
        }
        
        return null;
    }

}
