/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.rcp;

import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.core.runtime.Assert;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorPart;

public class isValidEditorInputPropertyTester extends PropertyTester {
    
    private static final String PROPERTY_NAME = "isValidEditorInput";

    @Override
    public boolean test(Object receiver, String property, Object[] args, Object expectedValue) {
        if(property.equals(PROPERTY_NAME)) {
            IEditorInput editorInput = ((IEditorPart) receiver).getEditorInput();
            boolean isValidEditorInput = (editorInput != null) && !(editorInput instanceof InvalidEditorInput);
            
            return expectedValue == null ? isValidEditorInput : isValidEditorInput == (Boolean) expectedValue;
        }
        
        Assert.isTrue(false, "Unkonwn property: " + property + ".");
        return false;
    }

}
