/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.swt;

import org.eclipse.swt.widgets.TableColumn;

public class TableColumnDecorator {

    private TableColumn tableColumn;
    
    private boolean autoExpandeable = false;

    public TableColumnDecorator(TableDecorator tableDecorator, int style) {
        tableColumn = new TableColumn(tableDecorator.getTable(), style);
        tableDecorator.addColumnDecorator(this);
    }
    
    public TableColumnDecorator(TableDecorator tableDecorator, int style, int index) {
        tableColumn = new TableColumn(tableDecorator.getTable(), style, index);
        tableDecorator.addColumnDecorator(this);
    }

    public TableColumn getTableColumn() {
        return tableColumn;
    }

    public boolean isAutoExpandeable() {
        return autoExpandeable;
    }

    public void setAutoExpandeable(boolean autoExpandeable) {
        this.autoExpandeable = autoExpandeable;
    }

}
