/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.utils;

import java.io.File;

public class SoundFile {

    private File file;
    private long duration;
    
    private long startSilence = 0L;  // silence interval at start of sound
    private long endSilence = 0L;  // silence interval at end of sound
    
    public SoundFile(File file, long duration) {
        this.file = file;
        this.duration = duration;
    }
    
    public SoundFile(File file, long duration, long startSilence, long endSilence) {
        this(file, duration);
        
        this.startSilence = startSilence;
        this.endSilence = endSilence;
    }

    public File getFile() {
        return file;
    }

    /**
     * Gets the sound duration, in milliseconds.
     * @return the sound duration, in milliseconds.
     */
    public long getDuration() {
        return duration;
    }

    public long getStartSilence() {
        return startSilence;
    }

    public long getEndSilence() {
        return endSilence;
    }
    
}
