/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.utils;

import org.apache.commons.lang.ArrayUtils;

public class Utils {

    /**
     * Checks whether two objects are equal, considering that both may be <code>null</code>.
     * @param object1 The first object to compare.
     * @param object2 The second object to compare.
     * @return <code>true</code> if both objects are equal or are both <code>null</code>,
     * <code>false</code> otherwise.
     */
    public static boolean nullableEquals(Object object1, Object object2) {
        return ((object1 == null) && (object2 == null)) || ((object1 != null) && object1.equals(object2));
    }
    
    @SuppressWarnings("unchecked")
    public static <T> T[] addAll(T[] array1, T[] array2) {
        return (T[]) ArrayUtils.addAll(array1, array2);
    }
    
    public static String changeExtension(String fileName, String newExtension) {
        int index = fileName.lastIndexOf(".");
        if(index != -1) {
            return fileName.substring(0, index) + "." + newExtension;
        } else {
            return fileName + "." + newExtension;
        }
    }

}
